Package ch.qos.logback.classic.spi

# Class ThrowableProxy

java.lang.Object
ch.qos.logback.classic.spi.ThrowableProxy

All Implemented Interfaces:
  `IThrowableProxy`

public class ThrowableProxy extends Object implements IThrowableProxy

## Constructor Summary

Constructors
Constructor
Description
`ThrowableProxy(Throwable throwable)`
`ThrowableProxy(Throwable throwable, Set<Throwable> alreadyProcessedSet)`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculatePackagingData()`
`void`
`fullDump()`
`IThrowableProxy`
`getCause()`
`String`
`getClassName()`
`int`
`getCommonFrames()`
`String`
`getMessage()`
`PackagingDataCalculator`
`getPackagingDataCalculator()`
`StackTraceElementProxy[]`
`getStackTraceElementProxyArray()`
`IThrowableProxy[]`
`getSuppressed()`
`Throwable`
`getThrowable()`
`boolean`
`isCyclic()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThrowableProxy

public ThrowableProxy(Throwable throwable)

### ThrowableProxy

public ThrowableProxy(Throwable throwable, Set<Throwable> alreadyProcessedSet)

## Method Details

### getThrowable

public Throwable getThrowable()

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `IThrowableProxy`

### getClassName

public String getClassName()

Specified by:
  `getClassName` in interface `IThrowableProxy`

### getStackTraceElementProxyArray

public StackTraceElementProxy[] getStackTraceElementProxyArray()

Specified by:
  `getStackTraceElementProxyArray` in interface `IThrowableProxy`

### isCyclic

public boolean isCyclic()

### getCommonFrames

public int getCommonFrames()

Specified by:
  `getCommonFrames` in interface `IThrowableProxy`

### getCause

public IThrowableProxy getCause()

Specified by:
  `getCause` in interface `IThrowableProxy`

### getSuppressed

public IThrowableProxy[] getSuppressed()

Specified by:
  `getSuppressed` in interface `IThrowableProxy`

### getPackagingDataCalculator

public PackagingDataCalculator getPackagingDataCalculator()

### calculatePackagingData

public void calculatePackagingData()

### fullDump

public void fullDump()